%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Text::Wrap\\)$
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libexecdir}

Summary:        Framework for parsing Pod
Name:           perl-Pod-Simple
Version:        3.45
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Pod-Simple
Source0:        https://cpan.metacpan.org/authors/id/K/KH/KHW/Pod-Simple-%{version}.tar.gz

BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(Carp) perl(Config) perl(Cwd) perl(Encode) perl(if) perl(integer)
BuildRequires:  perl(File::Basename) perl(File::Spec) perl(File::Find) perl(File::Path)
BuildRequires:  perl(Getopt::Long) perl(overload) perl(Symbol) perl(vars) perl(warnings)
BuildRequires:  perl(base) perl(Data::Dumper) perl(FindBin) perl(lib) perl(utf8)
BuildRequires:  perl(Pod::Escapes) >= 1.04
BuildRequires:  perl(Test) >= 1.25
BuildRequires:  perl(Test::More)

BuildArch:      noarch

%description
This is a Perl library for parsing text in the Pod ("plain old documentation")
markup language that is typically used for writing documentation for Perl and
for Perl modules. The Pod format is explained in perlpod; the most common
formatter is called perldoc.

%prep
%autosetup -n Pod-Simple-%{version}
for F in t/*.t t/*.pl; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
export HARNESS_OPTIONS=j%{_smp_build_ncpus}
make test

%files
%doc ChangeLog README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.45-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.45-1
- Upgrade to upstream version 3.45
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.43-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.43-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 09 2022 ZoeDong <zoedong@tencent.com> - 3.43-1
- Initial build

